Check if a VPS can be converted to a cloud solution

Check if an existing virtual server (VPS) is eligible for upgrade to a cloud-based VM. This is useful if you want to see if your current service can be migrated to a more flexible cloud infrastructure.

VPS & Cloud VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.currentProduct string · enum required · Example: VPS SM
VPS MED
VPS SM
data.currentProductId string required · Example: 3040
data.eligible boolean required · Example: false
data.prepaidWarning object
data.prepaidWarning.billingCycle string required · Example: Monthly
data.prepaidWarning.daysRemaining integer required · Example: 22
data.prepaidWarning.nextDue string · enum required · Example: 2026-04-11
2026-04-11
2026-04-19
2026-05-08
data.reasons array<string> · Example: ["not_verified","no_cloud_access"]
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/convert-to-cloud
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/convert-to-cloud" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "eligible": false,
    "reasons": [
      "not_verified",
      "no_cloud_access"
    ],
    "currentProduct": "VPS SM",
    "currentProductId": "3040",
    "prepaidWarning": {
      "nextDue": "2026-04-11",
      "billingCycle": "Monthly",
      "daysRemaining": 22
    }
  }
}